Users
Update User
PATCH
Update User
Authorizations
Body
application/json
The properties of the User being updated. user.name must
be populated with the updated resource's name.
Response
200 - application/json
A successful response.
Update User
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "<string>",
"displayName": "<string>",
"serviceAccount": true,
"email": "<string>",
"permissionPreset": "<string>"
}
'import requests
url = "https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id}"
payload = {
"role": "<string>",
"displayName": "<string>",
"serviceAccount": True,
"email": "<string>",
"permissionPreset": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role: '<string>',
displayName: '<string>',
serviceAccount: true,
email: '<string>',
permissionPreset: '<string>'
})
};
fetch('https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'role' => '<string>',
'displayName' => '<string>',
'serviceAccount' => true,
'email' => '<string>',
'permissionPreset' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id}"
payload := strings.NewReader("{\n \"role\": \"<string>\",\n \"displayName\": \"<string>\",\n \"serviceAccount\": true,\n \"email\": \"<string>\",\n \"permissionPreset\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"role\": \"<string>\",\n \"displayName\": \"<string>\",\n \"serviceAccount\": true,\n \"email\": \"<string>\",\n \"permissionPreset\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"role\": \"<string>\",\n \"displayName\": \"<string>\",\n \"serviceAccount\": true,\n \"email\": \"<string>\",\n \"permissionPreset\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"role": "<string>",
"name": "<string>",
"displayName": "<string>",
"serviceAccount": true,
"createTime": "2023-11-07T05:31:56Z",
"email": "<string>",
"state": "STATE_UNSPECIFIED",
"status": {
"code": "OK",
"message": "<string>"
},
"updateTime": "2023-11-07T05:31:56Z",
"permissionPreset": "<string>"
}The properties of the User being updated. user.name must
be populated with the updated resource's name.
A successful response.
Was this page helpful?
curl --request PATCH \
--url https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "<string>",
"displayName": "<string>",
"serviceAccount": true,
"email": "<string>",
"permissionPreset": "<string>"
}
'import requests
url = "https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id}"
payload = {
"role": "<string>",
"displayName": "<string>",
"serviceAccount": True,
"email": "<string>",
"permissionPreset": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role: '<string>',
displayName: '<string>',
serviceAccount: true,
email: '<string>',
permissionPreset: '<string>'
})
};
fetch('https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'role' => '<string>',
'displayName' => '<string>',
'serviceAccount' => true,
'email' => '<string>',
'permissionPreset' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id}"
payload := strings.NewReader("{\n \"role\": \"<string>\",\n \"displayName\": \"<string>\",\n \"serviceAccount\": true,\n \"email\": \"<string>\",\n \"permissionPreset\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"role\": \"<string>\",\n \"displayName\": \"<string>\",\n \"serviceAccount\": true,\n \"email\": \"<string>\",\n \"permissionPreset\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireworks.ai/v1/accounts/{account_id}/users/{user_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"role\": \"<string>\",\n \"displayName\": \"<string>\",\n \"serviceAccount\": true,\n \"email\": \"<string>\",\n \"permissionPreset\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"role": "<string>",
"name": "<string>",
"displayName": "<string>",
"serviceAccount": true,
"createTime": "2023-11-07T05:31:56Z",
"email": "<string>",
"state": "STATE_UNSPECIFIED",
"status": {
"code": "OK",
"message": "<string>"
},
"updateTime": "2023-11-07T05:31:56Z",
"permissionPreset": "<string>"
}